# kabc Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KABC::DistributionListWatcher Class Reference

Watchdog for distribution lists. More...

`#include <distributionlist.h>`

Inheritance diagram for KABC::DistributionListWatcher:

[legend]
Collaboration diagram for KABC::DistributionListWatcher:

[legend]
List of all members.

## Signals

void | changed ()
| This signal is emmitted whenever the distribution lists has changed (if a list was added or removed, when a list was renamed or the entries of the list changed).

## Static Public Member Functions

DistributionListWatcher * | self ()
| Returns the watcher object.

## Detailed Description

Watchdog for distribution lists.

This class provides a changed() signal that i emitted when the distribution lists has changed in some way.

Exapmle:

      KABC::DistributionListWatcher *watchdog = KABC::DistributionListWatcher::self()

      connect( watchdog, SIGNAL( changed() ), SLOT( doSomething() ) );

Definition at line 188 of file distributionlist.h.

## Member Function Documentation

DistributionListWatcher * DistributionListWatcher::self | ( |  | ) | `[static]`

| Returns the watcher object. Definition at line 248 of file distributionlist.cpp.

void KABC::DistributionListWatcher::changed | ( |  | ) | `[signal]`

| This signal is emmitted whenever the distribution lists has changed (if a list was added or removed, when a list was renamed or the entries of the list changed).

The documentation for this class was generated from the following files:

- distributionlist.h
- distributionlist.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:29:40 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001